...
 
Commits (3)
...@@ -16,12 +16,14 @@ Build-Depends: bc, ...@@ -16,12 +16,14 @@ Build-Depends: bc,
python-ligo-segments, python-ligo-segments,
python-glue (>= @MIN_GLUE_VERSION@), python-glue (>= @MIN_GLUE_VERSION@),
python-numpy, python-numpy,
python-scipy,
python-six, python-six,
python-dateutil, python-dateutil,
python3-all-dev, python3-all-dev,
python3-ligo-segments, python3-ligo-segments,
python3-glue (>= @MIN_GLUE_VERSION@), python3-glue (>= @MIN_GLUE_VERSION@),
python3-numpy, python3-numpy,
python3-scipy,
python3-six, python3-six,
python3-dateutil, python3-dateutil,
swig (>= 3.0.7), swig (>= 3.0.7),
...@@ -74,6 +76,7 @@ Depends: ${misc:Depends}, ...@@ -74,6 +76,7 @@ Depends: ${misc:Depends},
${shlibs:Depends}, ${shlibs:Depends},
python-ligo-segments, python-ligo-segments,
python-glue (>= @MIN_GLUE_VERSION@), python-glue (>= @MIN_GLUE_VERSION@),
python-scipy,
python-six, python-six,
python-dateutil, python-dateutil,
lal (= ${binary:Version}) lal (= ${binary:Version})
...@@ -100,6 +103,7 @@ Depends: ${misc:Depends}, ...@@ -100,6 +103,7 @@ Depends: ${misc:Depends},
${shlibs:Depends}, ${shlibs:Depends},
python3-ligo-segments, python3-ligo-segments,
python3-glue (>= @MIN_GLUE_VERSION@), python3-glue (>= @MIN_GLUE_VERSION@),
python3-scipy,
python3-six, python3-six,
python3-dateutil, python3-dateutil,
lal (= ${binary:Version}) lal (= ${binary:Version})
......
...@@ -11,8 +11,10 @@ Build-Depends: debhelper (>= 9), ...@@ -11,8 +11,10 @@ Build-Depends: debhelper (>= 9),
liboctave-dev, liboctave-dev,
pkg-config, pkg-config,
python-all-dev, python-all-dev,
python-astropy,
python-numpy, python-numpy,
python3-all-dev, python3-all-dev,
python3-astropy,
python3-numpy, python3-numpy,
swig (>= 3.0.7), swig (>= 3.0.7),
lal-dev (>= @MIN_LAL_VERSION@~), lal-dev (>= @MIN_LAL_VERSION@~),
...@@ -65,6 +67,7 @@ Architecture: any ...@@ -65,6 +67,7 @@ Architecture: any
Depends: ${misc:Depends}, Depends: ${misc:Depends},
${python:Depends}, ${python:Depends},
${shlibs:Depends}, ${shlibs:Depends},
python-astropy,
python-lal (>= @MIN_LAL_VERSION@~), python-lal (>= @MIN_LAL_VERSION@~),
lalpulsar (= ${binary:Version}) lalpulsar (= ${binary:Version})
Description: Python bindings for LALPulsar. Description: Python bindings for LALPulsar.
...@@ -88,6 +91,7 @@ Architecture: any ...@@ -88,6 +91,7 @@ Architecture: any
Depends: ${misc:Depends}, Depends: ${misc:Depends},
${python3:Depends}, ${python3:Depends},
${shlibs:Depends}, ${shlibs:Depends},
python3-astropy,
python3-lal (>= @MIN_LAL_VERSION@~), python3-lal (>= @MIN_LAL_VERSION@~),
lalpulsar (= ${binary:Version}) lalpulsar (= ${binary:Version})
Description: Python 3 bindings for LALPulsar. Description: Python 3 bindings for LALPulsar.
......
...@@ -24,6 +24,7 @@ BuildRequires: gsl-devel ...@@ -24,6 +24,7 @@ BuildRequires: gsl-devel
BuildRequires: numpy BuildRequires: numpy
BuildRequires: octave-devel BuildRequires: octave-devel
BuildRequires: python-devel BuildRequires: python-devel
BuildRequires: python2-astropy
BuildRequires: swig >= 3.0.7 BuildRequires: swig >= 3.0.7
BuildRequires: lal-devel >= @MIN_LAL_VERSION@ BuildRequires: lal-devel >= @MIN_LAL_VERSION@
BuildRequires: lal-octave >= @MIN_LAL_VERSION@ BuildRequires: lal-octave >= @MIN_LAL_VERSION@
...@@ -60,6 +61,7 @@ Requires: %{name} = %{version} ...@@ -60,6 +61,7 @@ Requires: %{name} = %{version}
Requires: numpy Requires: numpy
Requires: python Requires: python
Requires: python2-lal >= @MIN_LAL_VERSION@ Requires: python2-lal >= @MIN_LAL_VERSION@
Requires: python2-astropy
Obsoletes: %{name}-python Obsoletes: %{name}-python
Provides: %{name}-python Provides: %{name}-python
%description -n python2-%{name} %description -n python2-%{name}
......